Bug 1254932 - Initial-setup : while registering if service-level doesnot cover all the installed products then you are taken back to register page
Initial-setup : while registering if service-level doesnot cover all the inst...
Status: VERIFIED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager (Show other bugs)
7.2
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: candlepin-bugs
John Sefler
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-19 05:25 EDT by Shwetha Kallesh
Modified: 2017-01-09 11:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
subscription-manager initial-setup (133.01 KB, image/png)
2015-08-19 05:25 EDT, Shwetha Kallesh
no flags Details

  None (edit)
Description Shwetha Kallesh 2015-08-19 05:25:02 EDT
Created attachment 1064704 [details]
subscription-manager initial-setup

Description of problem:
Register with auto-attach on a system with multiple installed products that are not covered by single service-level takes you back to first page again

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
System should have multiple products that are not covered by single SLA

systemctl enable initial-setup-graphical.service 
Created symlink from /etc/systemd/system/graphical.target.wants/initial-setup-graphical.service to /usr/lib/systemd/system/initial-setup-graphical.service.

[root@dhcp35-142 ~]# reboot
Connection to 10.70.35.142 closed by remote host.
Connection to 10.70.35.142 closed.

click on register to rhsm icon

enter the credentials and click on register 

Actual results:
Dialog pops up with message saying "No service level will cover all installed products. Please manually subscribe using multiple service levels" when you click on ok, you are taken back to server details page

Expected results:
Dialog should pop up with message saying "No service level will cover all installed products. Please manually subscribe using multiple service levels" when you click on ok,you should be taken to done page

Additional info:
Comment 2 John Sefler 2015-09-25 12:43:01 EDT
Please re-test with latest subscription-manager-initial-setup-addon.
May have already been fixed by other initial-setup bugs.
Comment 3 Sean Toner 2015-09-25 14:16:00 EDT
The expected result is not exactly what is described, but is effectively the same.  In this scenario a warning in red appears at the bottom of the initial-setup addon dialog warning that no service level will cover all products and to add them manually.  

The user can then click on the Done button in the upper left corner (it does not take you back to the Server Details page anymore).
Comment 4 John Sefler 2015-09-28 17:43:37 EDT
comment 3 was tested with version
subscription-manager-initial-setup-addon-1.15.9-11.el7.x86_64

Note You need to log in before you can comment on or make changes to this bug.